/**********************************************
*** GENERAL
**********************************************/

body {
    font-family: Lato;
    font-weight: 300;
    color: #555;
}

@-webkit-keyframes fadeIn {
    from {opacity: 0;} 
    to {opacity: 1;}
}

@keyframes fadeIn {
    from {opacity: 0;}
    to {opacity:1 ;}
}

.top-buttons {
    width: 223px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    margin: 20px 0 20px 0;
}

button {
    color: #555;
    background: none;
    border: none;
    font-family: Lato;
    font-size: 20px;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: 300;
}

button:focus {
    outline: none;
}

.btn-rules, .btn-new, .btn-close {
    border: 2px solid #73AD21;
    border-radius: 25px;
}

.btn-rules:hover, .btn-new:hover, .btn-close:hover {
    border: 2px solid #EB4D4D;
}
    
.btn-rules {
    margin-right: 20px;
}

.hiderules {
    display: none;
}

.showrules {
    display: block;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}

.popuptext {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: +10000;
    background: #FFF;
}

.grid-container {
    display:grid;
    grid-template-columns: auto auto;
}

.displaynone {
    display: none;
}

/**********************************************
*** PLAYERS
**********************************************/

.active { 
    border: 2px solid #73AD21;
    border-radius: 25px; 
}

.player-name {
    font-size: 26px;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: 300;
    margin-top: 10px;
    position: relative;
}

.player-name::after {
    content: "\2022";
    font-size: 47px;
    color: #FFF;
    position: relative;    
    top: 4px;
}

.active .player-name::after {
    color: #EB4D4D;
}

.player-score {
    text-align: center;
    font-size: 80px;
    font-weight: 100;
    color: #EB4D4D;
    margin-bottom: 122px;
}

.player-controls {
    width: 100px;
    position: absolute;
    top: 220px;
    margin-right: 10px;
}

.player-controls-right {
     right: 0px;  
}

.disable-controls {
    z-index:-10000;
}

.grey {
    color:#CCC;
}

i {
    color: #EB4D4D;
    display: inline-block;
    margin-right: 15px;
    font-size: 32px;
    line-height: 1;
    vertical-align: text-top;
    margin-top: -4px;
    transition: margin 0.3s;
}

button:hover i { margin-right: 20px; }

.player-current-box {
    border-radius: 25px;
    border: 1px solid #EB4D4D;
    position: relative;
    width: 30%;
    left: 50%;
    transform: translateX(-50%);
    margin-bottom: 10px;
    padding: 12px;
    text-align: center;
    display: none;
}

.player-current-label {
    text-transform: uppercase;
    margin-bottom: 10px;
    font-size: 12px;
    color: #222;
}

.player-current-score {
    font-size: 30px;
}

.active .player-current-box {
    display: block;
}

.winner .player-name { color: #EB4D4D; }

/**********************************************
*** DICE
**********************************************/

.dice {
  width: 100px;
  height: 100px;
  position: absolute;
  top: 212px;
  left: 50%;
  transform: translateX(-50%);
  margin: 0;
  box-shadow: 0px 10px 60px rgba(0, 0, 0, 0.10);
}

@keyframes spin {
    0% { transform: translateZ(-50px) rotateX(0deg) rotateY(0deg) rotateZ(0deg); }
    16% { transform: translateZ(-50px) rotateX(180deg) rotateY(180deg) rotateZ(0deg); }
    33% { transform: translateZ(-50px) rotateX(360deg) rotateY(90deg) rotateZ(180deg); }
    50% { transform: translateZ(-50px) rotateX(360deg) rotateY(360deg) rotateZ(360deg); }
    66% { transform: translateZ(-50px) rotateX(180deg) rotateY(360deg) rotateZ(270deg); }
    83% { transform: translateZ(-50px) rotateX(270deg) rotateY(180deg) rotateZ(180deg); }
    100% { transform: translateZ(-50px) rotateX(360deg) rotateY(360deg) rotateZ(360deg); }
}

.cube {
  width: 100px;
  height: 100px;
  position: relative;
  transform-style: preserve-3d;
  transform: translateZ(-50px);
  transition: transform 0.8s;
}

.animation-1 {animation: spin 50s infinite linear;}

.animation-2 {animation: spin 1.6s infinite linear;}

.cube.show-1 { transform: translateZ(-50px) rotateY(0deg);}
.cube.show-2 { transform: translateZ(-50px) rotateY(-90deg);}
.cube.show-3 { transform: translateZ(-50px) rotateY(-180deg);}
.cube.show-4 { transform: translateZ(-50px) rotateY(90deg);}
.cube.show-5 { transform: translateZ(-50px) rotateX(-90deg);}
.cube.show-6 { transform: translateZ(-50px) rotateX(90deg);}

*[class^='cube_face'] {
  display: grid;
  position: absolute;
  place-items: center;
  width: 100px;
  height: 100px;
  border: 1px solid #444;
  font-size: 25px;
  font-weight: bold;
  color: #000;
  background: #FFF;
  box-shadow: inset 0 0 0 #ccc;
}

.cube_face_1 { transform: rotateY(0deg) translateZ(50px); }
.cube_face_2 { transform: rotateY(90deg) translateZ(50px); }
.cube_face_3 { transform: rotateY(180deg) translateZ(50px); }
.cube_face_4 { transform: rotateY(-90deg) translateZ(50px); }
.cube_face_5 { transform: rotateX(90deg) translateZ(50px); }
.cube_face_6 { transform: rotateX(-90deg) translateZ(50px); }